Bug 539693 - Review Request: plowshare - command-line downloader/uploader for some of the most popular file-sharing websites
Summary: Review Request: plowshare - command-line downloader/uploader for some of the ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thibault North
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-20 20:23 UTC by Pavel Alexeev
Modified: 2012-02-05 18:25 UTC (History)
5 users (show)

Fixed In Version: plowshare-0.9.4-0.5.svn1391.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-05 18:25:26 UTC
thibault.north: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pavel Alexeev 2009-11-20 20:23:44 UTC
Spec URL: http://hubbitus.net.ru/rpm/Fedora11/plowshare/plowshare.spec
SRPM URL: http://hubbitus.net.ru/rpm/Fedora11/plowshare/plowshare-0.8.1-1.fc11.src.rpm
Description:
plowshare is a command-line downloader/uploader for some of the most popular
file-sharing websites. It works on UNIX-like systems and presently supports
Megaupload, Rapidshare, 2Shared, 4Shared, ZShare, Badongo, DepositFiles and
Mediafire. Refer to the README for more info.

P.S. Spec file formatted by tabs with 5 space width. Please, do not start review if it is a problem for you.

Comment 2 Thibault North 2011-01-05 21:20:43 UTC
I'll take this one.

Comment 3 Thibault North 2011-01-14 00:29:35 UTC
Initial comments:

- Strange indentation (unaligned lines)

- Result of rpmlint is not clean:
[tnorth@grouchy ~]$ rpmlint /home/tnorth/rpmbuild/SRPMS/plowshare-0.8.1-1.fc14.src.rpm /home/tnorth/rpmbuild/RPMS/noarch/plowshare-0.8.1-1.fc14.noarch.rpm
plowshare.src: W: spelling-error Summary(en_US) downloader -> downloaded, down loader, down-loader
plowshare.src: W: spelling-error Summary(en_US) uploader -> unloader, uploaded, up loader
plowshare.src: W: summary-not-capitalized C command-line downloader/uploader for some of the most popular file-sharing websites
plowshare.src: E: summary-too-long C command-line downloader/uploader for some of the most popular file-sharing websites
plowshare.src: I: enchant-dictionary-not-found ru
plowshare.src: W: spelling-error %description -l en_US downloader -> downloaded, down loader, down-loader
plowshare.src: W: spelling-error %description -l en_US uploader -> unloader, uploaded, up loader
plowshare.src: W: invalid-url Source0: http://plowshare.googlecode.com/files/plowshare-0.8.1.tgz HTTP Error 404: Not Found
plowshare.noarch: W: spelling-error Summary(en_US) downloader -> downloaded, down loader, down-loader
plowshare.noarch: W: spelling-error Summary(en_US) uploader -> unloader, uploaded, up loader
plowshare.noarch: W: summary-not-capitalized C command-line downloader/uploader for some of the most popular file-sharing websites
plowshare.noarch: E: summary-too-long C command-line downloader/uploader for some of the most popular file-sharing websites
plowshare.noarch: W: spelling-error %description -l en_US downloader -> downloaded, down loader, down-loader
plowshare.noarch: W: spelling-error %description -l en_US uploader -> unloader, uploaded, up loader
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/2shared.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/mediafire.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/depositfiles.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/zshare.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/megaupload.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/rapidshare.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/badongo.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/4shared.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/lib.sh 0644L /bin/bash
plowshare.noarch: W: no-manual-page-for-binary plowup
plowshare.noarch: W: no-manual-page-for-binary plowdown
plowshare.noarch: W: no-manual-page-for-binary plowdel
2 packages and 0 specfiles checked; 11 errors, 14 warnings.

It seems that the source is a quite old version of the software (date of the initial review request).

I picked it for review without actually checking what this software is. I guess nobody picked it yet because its use can be controversial. Anyway, let's ignore that aspect which does not matter for a review.

Comment 4 Pavel Alexeev 2011-01-17 11:51:38 UTC
Hello, Thibault and thank you for taking it.
Yes, it is very old.
I try update, but authors post svn revision tarball - http://code.google.com/p/plowshare/downloads/detail?name=plowshare-SVN-r1327-snapshot.tar.gz&can=2&q= how you think, we shoud threat it as prerelease, or release, if it posted by upstream? How I should fill version in spec file in this case?

Comment 5 Thibault North 2011-01-25 22:26:10 UTC
Hi Pavel,

It is ok to use this tarball, for the naming see:
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Versioning

You can set something like this:
Version         <next_release_number>
Release:        0.1%{prerelease}%{?dist}

Comment 6 Pavel Alexeev 2011-01-26 08:38:23 UTC
This is I known.
Problem there what no release there! Tarball looks like  plowshare-SVN-r1327-snapshot.tar.gz. It is official tarball, not my checkout! So I do not known what mark as <next_release_number>.

Comment 7 Pavel Alexeev 2011-01-26 08:41:13 UTC
I thought it release after 0.9.4 but sure what should be next (0.9.5 or 1.0)...

Comment 8 Thibault North 2011-01-31 02:49:37 UTC
I don't think it matters a lot. You could set it to 0.9.4, and then add +svnXXXX

Comment 9 Elder Marco 2011-02-23 00:51:29 UTC
I would like to contribute with this package. I have a spec file according comment #8 (I guess...) that I mantain and a rpm package too. How can I do this? Is it possible now?

Comment 10 Pavel Alexeev 2011-02-23 11:12:54 UTC
Sorry for the delay
http://hubbitus.info/rpm/Fedora13/plowshare/plowshare-0.9.4-0.1.svn1358.fc13.src.rpm
http://hubbitus.info/rpm/Fedora13/plowshare/plowshare.spec

Elder, I think this package is quite simple to maintain it together. But if you want - you may became co-maintainer.

Comment 11 Elder Marco 2011-02-24 14:50:47 UTC
Pavel, there is no problem for me if possible but you're right about this.

My dependencies are a little different from yours. Package ImageMagick-perl is necessary for badongo and netload.in modules. So, you can add this line:

Requires:  perl(Image::Magick) 

Here is my spec file:

http://eldermarco.fedorapeople.org/files/specs/plowshare.spec

Bash as a dependency isn't necessary, I believe.

Comment 12 Pavel Alexeev 2011-02-26 20:33:28 UTC
I have add caca-utils and perl(Image::Magick), thank you.

But why you think bash is not necessary? It is implicit in scripts, so for example sh will not satisfy that dependency.

http://hubbitus.info/rpm/Fedora13/plowshare/plowshare-0.9.4-0.2.svn1358.fc13.src.rpm
http://hubbitus.info/rpm/Fedora13/plowshare/plowshare.spec

Comment 13 Elder Marco 2011-02-26 21:44:24 UTC
caca-utils is an optional package (libcaca) according the upstream, but I prefer add it.  bash, gcc, sed and other packages occur too often and you don't need add them as BuildRequires according this article (fedora guidelines):

https://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2

I believe that you don't need add some packages in this list as Requires too. Anyway, rpm have an internal dependency generator and the bash will be added as a dependency because /bin/sh is a link to /bin/bash. Look

$ rpm -qf /bin/sh 
bash-4.1.7-3.fc14.i686
$ ls -l /bin/sh 
lrwxrwxrwx. 1 root root 4 Dez 17 22:39 /bin/sh -> bash 

But I can be wrong.

P.S.: I'm sorry for possible English mistakes. I speak Portuguese and now I'm learning English. =]

Comment 14 Pavel Alexeev 2011-02-27 03:49:04 UTC
Ok, bash deleted.

http://hubbitus.info/rpm/Fedora13/plowshare/plowshare-0.9.4-0.3.svn1358.fc13.src.rpm

P.S. My English also is very poor :(

Comment 15 Elder Marco 2011-02-27 21:31:15 UTC
Hello Pavel,

I'm sorry, I forgot, but gocr isn't necessary either. tesseract (or tesseract-ocr in some distributions) is.

Where is Thibault? =)

Comment 16 Thibault North 2011-02-27 22:23:23 UTC
I'm not far away :-) just very busy.

I'll check it soon. Ok for you guys ?

Comment 17 Elder Marco 2011-02-27 23:24:29 UTC
Oh, no problem Thibault. Thanks.

Comment 19 Elder Marco 2011-03-01 00:41:43 UTC
Thanks for your explanation Pavel. :)

Comment 20 Jan Klepek 2011-03-14 09:19:10 UTC
Hi guys,

Any progress? Could I help you anyhow?

Comment 21 Elder Marco 2011-03-14 16:22:01 UTC
Yes, we're waiting for Thibault's review. :)

Comment 22 Thibault North 2011-03-14 16:34:47 UTC
Sorry guys, I'm late. Sometimes this week! Please ping me again if nothing is coming :P

Comment 23 Thibault North 2011-03-14 16:39:10 UTC
BTW, I get a 404 trying to get:

http://hubbitus.info/rpm/Fedora13/plowshare/plowshare-0.9.4-0.3.svn1358.fc13.src.rpm

(But the spec is ok)

Comment 25 Thibault North 2011-03-14 17:01:24 UTC
After a quick look at rpmlint output, there are a few permissions problems, scripts are chmod 0644 instead of 0755.
You can fix that with:

chmod 0755  %{buildroot}%{_datadir}/%{name}/{modules/*.sh,core.sh}

Comment 26 Elder Marco 2011-03-14 17:15:35 UTC
Hi Thibault, thank you very much.

These scripts (modules/*.sh) are sourced by download.sh script. So, they don't need any execute permissions, originally.

Comment 27 Thibault North 2011-03-14 17:26:01 UTC
Ok, I'll double-check that.

You should mention in a comment the url or command you use to fetch the SVN snapshot 
http://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control

Otherwise, looks good. I'll post the complete review when these two points are fixed.

Comment 28 Pavel Alexeev 2011-03-14 17:41:06 UTC
Indeed, its files only includes and do not intended be executable.

>You should mention in a comment the url or command you use to fetch the SVN
snapshot
This is not my checkout, it is upstream release, please see http://code.google.com/p/plowshare/downloads/list

If you remember we speak about it initially.

Comment 29 Thibault North 2011-03-14 17:54:29 UTC
Oh now I recall.. I was mixed up because rpmlint couldn't get the package from its url.

rpmlint output:
[tnorth@grouchy ~]$ rpmlint /home/tnorth/rpmbuild/SRPMS/plowshare-0.9.4-0.4.svn1358.fc14.src.rpm /home/tnorth/rpmbuild/RPMS/noarch/plowshare-0.9.4-0.4.svn1358.fc14.noarch.rpm
plowshare.src: W: spelling-error Summary(en_US) downloader -> downloaded, down loader, down-loader
plowshare.src: W: spelling-error Summary(en_US) uploader -> unloader, uploaded, up loader
plowshare.src: I: enchant-dictionary-not-found ru
plowshare.src: W: spelling-error %description -l en_US downloader -> downloaded, down loader, down-loader
plowshare.src: W: spelling-error %description -l en_US uploader -> unloader, uploaded, up loader
plowshare.src: W: invalid-url Source0: http://plowshare.googlecode.com/files/plowshare-SVN-r1358-snapshot.tar.gz HTTP Error 404: Not Found
plowshare.noarch: W: spelling-error Summary(en_US) downloader -> downloaded, down loader, down-loader
plowshare.noarch: W: spelling-error Summary(en_US) uploader -> unloader, uploaded, up loader
plowshare.noarch: W: spelling-error %description -l en_US downloader -> downloaded, down loader, down-loader
plowshare.noarch: W: spelling-error %description -l en_US uploader -> unloader, uploaded, up loader
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/sendspace.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/usershare.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/euroshare_eu.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/data_hu.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/depositfiles.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/fileserve.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/dataport_cz.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/badongo.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/uploading.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/hotfile.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/humyo.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/mediafire.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/115.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/dl_free_fr.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/2shared.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/multiupload.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/4shared.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/divshare.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/netload_in.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/rapidshare.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/zshare.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/x7_to.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/modules/megaupload.sh 0644L /bin/bash
plowshare.noarch: E: non-executable-script /usr/share/plowshare/core.sh 0644L /bin/bash
2 packages and 0 specfiles checked; 24 errors, 9 warnings.

Comment 30 Thibault North 2011-03-14 17:56:14 UTC
# MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review. OK
# MUST: The package must be named according to the Package Naming Guidelines OK
# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. OK
# MUST: The package must meet the Packaging Guidelines OK
# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines OK
# MUST: The License field in the package spec file must match the actual license. OK
# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. OK
# MUST: The spec file must be written in American English. OK
# MUST: The spec file for the package MUST be legible. OK
# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this. OK
# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK
# MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8] N/A
# MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. N/A
# MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden. N/A
# MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. N/A
# MUST: Packages must NOT bundle copies of system libraries. OK
# MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. OK
# MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. OK
# MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations) OK
# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. OK
# MUST: Each package must consistently use macros. OK
# MUST: The package must contain code, or permissable content. OK
# MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). N/A
# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. OK
# MUST: Header files must be in a -devel package. N/A
# MUST: Static libraries must be in a -static package. N/A
# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. N/A
# MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} N/A
# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built. OK
# MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. N/A
# MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. N/A
# MUST: All filenames in rpm packages must be valid UTF-8. OK

# SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. N/A
# SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. OK
# SHOULD: The reviewer should test that the package builds in mock. OK in koji
# SHOULD: The package should compile and build into binary rpms on all supported architectures. OK (noarch)
# SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example. OK
# SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. N/A
# SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. N/A
# SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. N/A
# SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. N/A
# SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense. OK

Therefore, the package is APPROVED.

Comment 31 Pavel Alexeev 2011-03-20 07:47:47 UTC
Thibault, thank you very much.

Elder, sorry, but I do not found you in packagers (https://admin.fedoraproject.org/accounts/group/members/packager/) to include in maintainers for SCM request. Do you sponsored Fedora packager? If so, just after add plowshare in Fedora apply himself as maintainer and I'll approve such requests. If you do not sponsored yet, you should do that first. Follow standard instruction. And unfortunately I can't help you there as I do not sponsor. 

New Package SCM Request
=======================
Package Name: plowshare
Short Description: command-line downloader/uploader for some of the most popular file-sharing websites
Owners: hubbitus
Branches: F-13 F-14 EL-5 EL-6
InitialCC:

Comment 32 Elder Marco 2011-03-20 14:12:52 UTC
Hi, I'm waiting a sponsor yet. Then, I add it. No problem. :)

Comment 33 Jason Tibbitts 2011-03-21 13:43:53 UTC
Git done (by process-git-requests).

Comment 34 Fedora Update System 2011-03-22 21:46:06 UTC
plowshare-0.9.4-0.5.svn1391.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/plowshare-0.9.4-0.5.svn1391.fc14

Comment 35 Fedora Update System 2011-03-22 21:51:36 UTC
plowshare-0.9.4-0.5.svn1391.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/plowshare-0.9.4-0.5.svn1391.fc13

Comment 36 Fedora Update System 2011-03-22 22:01:40 UTC
plowshare-0.9.4-0.5.svn1391.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/plowshare-0.9.4-0.5.svn1391.el5

Comment 37 Fedora Update System 2011-03-22 22:17:45 UTC
plowshare-0.9.4-0.5.svn1391.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/plowshare-0.9.4-0.5.svn1391.el6

Comment 38 Fedora Update System 2011-03-23 20:24:41 UTC
plowshare-0.9.4-0.5.svn1391.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 39 Fedora Update System 2011-03-31 16:59:34 UTC
plowshare-0.9.4-0.5.svn1391.fc13 has been pushed to the Fedora 13 stable repository.

Comment 40 Fedora Update System 2011-03-31 17:00:03 UTC
plowshare-0.9.4-0.5.svn1391.fc14 has been pushed to the Fedora 14 stable repository.

Comment 41 Fedora Update System 2011-04-07 15:52:31 UTC
plowshare-0.9.4-0.5.svn1391.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 42 Fedora Update System 2011-04-07 15:52:48 UTC
plowshare-0.9.4-0.5.svn1391.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 43 Pavel Alexeev 2011-07-13 08:55:48 UTC
Please new branch F-15.

Package change SCM Request
=======================
Package Name: plowshare
Short Description: command-line downloader/uploader for some of the most
popular file-sharing websites
Owners: hubbitus,eldermarco
Branches: F-15
InitialCC:

Comment 44 Gwyn Ciesla 2011-07-15 14:12:45 UTC
Since this already exists, please submit this as a Package Change request
and not New Package.

https://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure#Package_Change_Requests_for_existing_packages

Thanks!

Comment 45 Elder Marco 2011-07-15 14:23:25 UTC
Hello Jon, 

We apologize.

Package Change Request
======================
Package Name: plowshare
New Branches: f15
Owners: hubbitus eldermarco
InitialCC: 

Fedora 15, new branch

Comment 46 Gwyn Ciesla 2011-07-15 14:26:40 UTC
Git done (by process-git-requests).

No worries, thanks!


Note You need to log in before you can comment on or make changes to this bug.